Loading...
Searching...
No Matches
globus_xio_ordering_driver.h File Reference

XIO ORDERING Driver. More...

`#include "globus_common.h"`

Go to the source code of this file.

## Enumerations

enum | globus_xio_ordering_error_type_t { GLOBUS_XIO_ORDERING_ERROR_READ , GLOBUS_XIO_ORDERING_ERROR_CANCEL }
enum | globus_xio_ordering_cmd_t { GLOBUS_XIO_ORDERING_SET_OFFSET , GLOBUS_XIO_ORDERING_SET_MAX_READ_COUNT , GLOBUS_XIO_ORDERING_GET_MAX_READ_COUNT , GLOBUS_XIO_ORDERING_SET_BUFFERING , GLOBUS_XIO_ORDERING_GET_BUFFERING , GLOBUS_XIO_ORDERING_SET_BUF_SIZE , GLOBUS_XIO_ORDERING_GET_BUF_SIZE , GLOBUS_XIO_ORDERING_SET_MAX_BUF_COUNT , GLOBUS_XIO_ORDERING_GET_MAX_BUF_COUNT }

## Functions

globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_ORDERING_SET_OFFSET, globus_off_t offset)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_MAX_READ_COUNT, int max_read_count)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_MAX_READ_COUNT, int *max_read_count_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_BUFFERING, globus_bool_t buffering)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_BUFFERING, globus_bool_t *buffering_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_BUF_SIZE, int buf_size)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_BUF_SIZE, int *buf_size_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_SET_MAX_BUF_COUNT, int max_buf_count)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_ORDERING_GET_MAX_BUF_COUNT, int *max_buf_count_out)

## Detailed Description

XIO ORDERING Driver.